package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type ContractNotifyV2Request struct {
	// <ext>core:true</ext> 【电子签约文件】电子签约文件 【作用】 查询需催签的电子签约文件，可传入多个 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	ContractInfos []*common.ContractNotifyV2ContractInfosRequest `json:"contractInfos"`
}

func (obj ContractNotifyV2Request) GetUrl() string {
	return "/contract/notify/v2"
}

func (obj ContractNotifyV2Request) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
